AbstractAttributeContainer.SingularAttributeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class AbstractAttributeContainer.SingularAttributeImpl

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer.SingularAttributeImpl

All Implemented Interfaces:
  Attribute, SingularAttribute

Enclosing class:
  AbstractAttributeContainer

    public static class AbstractAttributeContainer.SingularAttributeImpl

extends Object
implements SingularAttribute

Constructor Summary
`AbstractAttributeContainer.SingularAttributeImpl(String name, AttributeContainer attributeContainer)`

Method Summary
`AttributeContainer` | `getAttributeContainer()` Retrieve the declaring container for this attribute (entity/component).
`String` | `getName()` Retrieve the attribute name.
`Type` | `getSingularAttributeType()` Retrieve the attribute type descriptor.
`boolean` | `isSingular()` An attribute can be either: singular - castable to `SingularAttribute` plural - castable to `PluralAttribute`
`boolean` | `isTypeResolved()`
`void` | `resolveType(Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAttributeContainer.SingularAttributeImpl

    public AbstractAttributeContainer.SingularAttributeImpl(String name,
                                                            AttributeContainer attributeContainer)

Method Detail

### isTypeResolved

    public boolean isTypeResolved()

  Specified by:
    `isTypeResolved` in interface `SingularAttribute`

### resolveType

    public void resolveType(Type type)

  Specified by:
    `resolveType` in interface `SingularAttribute`

### getSingularAttributeType

    public Type getSingularAttributeType()

  Description copied from interface: `SingularAttribute`
  Retrieve the attribute type descriptor.

  Specified by:
    `getSingularAttributeType` in interface `SingularAttribute`
  Returns:
    THe attribute type.

### getName

    public String getName()

  Description copied from interface: `Attribute`
  Retrieve the attribute name.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    The attribute name.

### getAttributeContainer

    public AttributeContainer getAttributeContainer()

  Description copied from interface: `Attribute`
  Retrieve the declaring container for this attribute (entity/component).

  Specified by:
    `getAttributeContainer` in interface `Attribute`
  Returns:
    The attribute container.

### isSingular

    public boolean isSingular()

  Description copied from interface: `Attribute`
  An attribute can be either:
  - singular - castable to `SingularAttribute`
  - plural - castable to `PluralAttribute`

  Specified by:
    `isSingular` in interface `Attribute`
  Returns:
    True if attribute is singular; false if plural.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.